## org.apache.mahout.vectorizer.encoders
Class CachingContinuousValueEncoder

    java.lang.Object
      org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
          org.apache.mahout.vectorizer.encoders.CachingValueEncoder
              org.apache.mahout.vectorizer.encoders.ContinuousValueEncoder
                  org.apache.mahout.vectorizer.encoders.CachingContinuousValueEncoder

    public class CachingContinuousValueEncoder

extends ContinuousValueEncoder

Field Summary

Fields inherited from class org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
`CONTINUOUS_VALUE_HASH_SEED, WORD_LIKE_VALUE_HASH_SEED`

Constructor Summary
`CachingContinuousValueEncoder(String name, int dataSize)`

Method Summary
`protected OpenIntIntHashMap[]` `getCaches()`
`protected int` `hashForProbe(String originalForm, int dataSize, String name, int probe)`
`void` `setProbes(int probes)` Sets the number of locations in the feature vector that a value should be in.

Methods inherited from class org.apache.mahout.vectorizer.encoders.ContinuousValueEncoder
`addToVector, asString, getSeed, getWeight`

Methods inherited from class org.apache.mahout.vectorizer.encoders.CachingValueEncoder
`hashForProbe`

Methods inherited from class org.apache.mahout.vectorizer.encoders.FeatureVectorEncoder
`addToVector, addToVector, addToVector, bytesForString, getName, getProbes, hash, hash, hash, hash, hash, hashesForProbe, isTraceEnabled, setTraceDictionary, trace, trace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachingContinuousValueEncoder

    public CachingContinuousValueEncoder(String name,
                                         int dataSize)

Method Detail

### getCaches

    protected OpenIntIntHashMap[] getCaches()

### setProbes

    public void setProbes(int probes)

  Description copied from class: `CachingValueEncoder`
  Sets the number of locations in the feature vector that a value should be in. This causes the cached probe locations to be recomputed.

  Overrides:
    `setProbes` in class `CachingValueEncoder`
  Parameters:
    `probes` - Number of locations to increment.

### hashForProbe

    protected int hashForProbe(String originalForm,
                               int dataSize,
                               String name,
                               int probe)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.